<!doctype html>
<html class="no-js" lang="{{ shop.locale }}">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width,initial-scale=1">
  <meta name="theme-color" content="{{ settings.color_button }}">
  <link rel="canonical" href="{{ canonical_url }}">

  {% if settings.favicon != blank %}
    <link rel="shortcut icon" href="{{ settings.favicon | img_url: '32x32' }}" type="image/png">
  {% endif %}

  <title>
    {{ shop.name }} &ndash; {{ 'general.password_page.opening_soon' | t }}
  </title>

  {% if page_description %}
    <meta name="description" content="{{ page_description | escape }}">
  {% endif %}

  {% include 'social-meta-tags' %}

  {{ 'theme.scss.css' | asset_url | stylesheet_tag }}


  <script src="{{ 'vendor.js' | asset_url }}" defer="defer"></script>

  <script src="{{ 'theme.js' | asset_url }}" defer="defer"></script>

  <script src="{{ 'password.js' | asset_url }}" defer="defer"></script>

  {{ content_for_header }}

  {% include 'shogun-head' %}
</head>

<body class="template-password">
  <div class="password-page">
    <header class="password-header" role="banner">
      <div class="password-header__inner">
        <div class="password-login">
          <a href="#LoginModal" class="js-modal-open-login-modal link--action btn btn--secondary" aria-haspopup="dialog">
            {{ 'general.password_page.password_link' | t }} <span aria-hidden="true">&rarr;</span>
          </a>
        </div>
      </div>
    </header>

    <div class="password-main" role="main">
      <div class="password-main__inner">
        {{ content_for_layout }}
      </div>
    </div>
  </div>

  <div id="LoginModal" class="modal" role="dialog" aria-modal="true" aria-labelledby="password-modal-heading">
    <button type="button" class="modal__close js-modal-close text-link">
      {% include 'icon-close' %}
      <span class="icon__fallback-text">{{ 'general.accessibility.close_modal' | t | json }}</span>
    </button>
    <div class="modal__inner">
      <div class="modal__centered password-modal__content page-width">
        <div class="password-content">
          <h2 class="password__form-heading h4" id="password-modal-heading">
            {{ 'general.password_page.login_form_heading' | t }}
          </h2>
        </div>

        {% form 'storefront_password', class: 'form-single-field' %}
          {%- assign formId = 'PasswordLoginForm' -%}
          <div class="input-group {% if form.errors %}input-group--error{% endif %}">
            <label id="PasswordLabel" for="Password" class="label--hidden">{{ 'general.password_page.login_form_password_label' | t }}</label>
            <input type="password" name="password"
              id="Password"
              class="input-group__field input--content-color {% if form.errors %}input--error{% endif %}"
              placeholder="{{ 'general.password_page.login_form_password_placeholder' | t }}"
              data-login-field
              autocomplete="off"
              aria-labelledby="PasswordLabel {% if form.errors %} {{ formId }}-password-error{% endif %}"
              {% if form.errors %}
                data-error="password"
                aria-invalid="true"
              {%- endif -%}
            >
            <span class="input-group__btn">
              <button type="submit" name="commit" class="btn btn--narrow">
                {{ 'general.password_page.login_form_submit' | t }}
              </button>
            </span>
          </div>
          {%- if form.errors -%}
            <span id="{{ formId }}-password-error" class="input-error-message">
              <span class="visually-hidden">{{ 'general.accessibility.error' | t }} </span>
              {% include 'icon-error' %}
              <span>{{ form.errors.messages['form'] }}</span>
            </span>
          {%- endif -%}
        {% endform %}
        <p class="password-content">{{ 'general.password_page.admin_link_html' | t }}</p>
      </div>
    </div>
  </div>

  <script>
    var theme = {
      strings: {
        addressError: {{ 'sections.map.address_error' | t | json }},
        addressNoResults: {{ 'sections.map.address_no_results' | t | json }},
        addressQueryLimit: {{ 'sections.map.address_query_limit_html' | t | json }},
        authError: {{ 'sections.map.auth_error_html' | t | json }}
      }
    }
  </script>

</body>
</html>
